import { Options } from "./helpers/makeApiRequest";
declare type CancelPredictionOptions = {
    /** The id of a prediction */
    id: string;
} & Options;
/** Cancel a running prediction.
 * @returns `void` if the prediction was canceled, or the prediction if it was already completed.
 */
export declare const cancelPrediction: (options: CancelPredictionOptions) => Promise<void>;
export {};
