import { makeApiRequest } from "./helpers/makeApiRequest.js";
/** Cancel a running prediction.
 * @returns `void` if the prediction was canceled, or the prediction if it was already completed.
 */
export const cancelPrediction = async (options) => {
    await makeApiRequest(options, "POST", `predictions/${options.id}/cancel`);
};
