import { Options } from "./helpers/makeApiRequest";
declare type ResolveModelOptions = {
    model: string;
} & Options;
export declare type ModelVersionResponse = {
    id: string;
    created_at: string;
    cog_version: string;
    openapi_schema: unknown;
};
export declare const getModel: (options: ResolveModelOptions) => Promise<{
    url: string;
    owner: string;
    name: string;
    description: string | undefined;
    visibility: "public" | "private";
    github: string | undefined;
    paper: string | undefined;
    license: string | undefined;
    version: string;
}>;
export {};
