import { Options } from "./helpers/makeApiRequest";
declare type ResolveModelVersionsOptions = {
    model: string;
} & Options;
export declare const getVersions: (options: ResolveModelVersionsOptions) => Promise<{
    next: string | null;
    previous: string | null;
    /** The most recent version */
    version: string | undefined;
    versions: {
        id: string;
        created_at: Date;
        cog_version: string;
        schema: unknown;
    }[];
}>;
export {};
