export declare type Options = {
    fetch?: (url: string, config: Record<string, any>) => Promise<{
        json: () => Promise<any>;
        ok: boolean;
        status: number;
    }>;
    token: string;
    apiUrl?: string;
};
export declare function makeApiRequest<ExpectedResponse = unknown>({ fetch: fetchFunction, token, apiUrl }: Options, method: "POST" | "GET", endpoint: string, content?: object): Promise<ExpectedResponse>;
