import { PredictionStatusObject } from "./helpers/convertPrediction";
import { Options } from "./helpers/makeApiRequest";
declare type PollPredictionOptions = {
    /** The id of a prediction */
    id: string;
    /** Timeout in milliseconds
     * @default 3600000
     */
    timeout?: number;
} & Options;
/** Poll until the prediction has completed */
export declare const pollPrediction: (options: PollPredictionOptions, initialResult?: PredictionStatusObject) => Promise<PredictionStatusObject>;
export {};
